
PRINT("DIRECTORY: ${SignalLib_C}")
SET(PREFIX SignalLibC_)
SET(DIRS export src)
SETVARIABLES("${DIRS}" ${SignalLib_C} ${PREFIX} SignalLib_C )
#DeclareComponents("${DIRS}" ${PREFIX})

IF(NOT DEFINED BIN_INSTALL)
  IF(PKCONFIG)
    MK_CONFIG_NAME(_config_ CONFIG_NAME)
    MK_CONFIG_NAME(makeCexport cmd)
    SET(OPTIONS clean all)
    SET(DEFAULT_OPTIONS "all")
    
    IF(UNIX)
      SET(CONFIG_FILE ${SignalLib_C}/${CONFIG_NAME})
      GEN_ECHO_USE(${CONFIG_FILE} "${cmd}" "[ clean, all]" "to build a C export content")
      FILE(APPEND ${CONFIG_FILE} "alias ${cmd} '\${SignalLib_C}/${cmd} \$*'\n ")
    ENDIF(UNIX)
    
    SET(CONFIG_FILE ${SignalLib_C}/${cmd})
    GEN_HEADER_SCRIPT(${CONFIG_FILE})
    GEN_REQUIRE_SHELL_VAR(${CONFIG_FILE} xK_root)
    GEN_REQUIRE_DIR(${CONFIG_FILE} SignalLib_C)
    GEN_REQUIRE_DIR(${CONFIG_FILE} SignalLibC_export)
    
    GEN_ARGUMENTS(${CONFIG_FILE} "${OPTIONS}" "${DEFAULT_OPTIONS}" ${cmd})
    GEN_CMAKE_CMD(${CONFIG_FILE} SignalLib_C arguments)
  ENDIF(PKCONFIG)
ENDIF(NOT DEFINED BIN_INSTALL)
