
static FILE *fw_DUMPFILE_VCD_;


static int _vcd_counter_ = 0;

static int t[32];
 
static void _int2bin_(int e1)
{
  unsigned long c,e; 
  int i; 
  for(i=31;i>=0;i--)  t[i]=0;
  
  i=0;
  e=e1;
  c=e/2;
  while(c != 0)
    {
      t[i]=e%2; 
      e=c;
      c=e/2;
      i++;
    }
  t[i]=e;
}

static void print_VCD_float(float x)
{
  fprintf(fw_DUMPFILE_VCD_,"r");
  fprintf(fw_DUMPFILE_VCD_, "%f ", x);
}



static void print_VCD_int(int x)
{
  int i;
  _int2bin_(x);
  fprintf(fw_DUMPFILE_VCD_,"b");
  for(i=31;i>=0;i--)
    fprintf(fw_DUMPFILE_VCD_, "%d",t[i]);
  fprintf(fw_DUMPFILE_VCD_," ");
}

static void print_VCD_logical(int x)
{
  fprintf(fw_DUMPFILE_VCD_,"%d",x);
}

static void print_VCD_double(double x)
{
  fprintf(fw_DUMPFILE_VCD_,"r");
  fprintf(fw_DUMPFILE_VCD_, "%lf ", x);
}

#define print_VCD_short(x) print_VCD_int((int) x)
#define print_VCD_long(x) print_VCD_int((int) x)

static int _cpt_step = 1;

static int 
isDecimalDigit(char c)
{
  return ((int) (((unsigned) c >= (unsigned) ('0')) && ((unsigned) c <= (unsigned) ('9'))));
}

static void _VCD_setStep()
{
  int i, b;
  char v[10];
  char c;

  if (_cpt_step == 1)
    {
      do 
	{
	  fprintf(stdout, "Number of Steps | q(uit) | c(ontinue): "); 
	  scanf("%s", &v);
	  c = v[0];
	  if (( c == 'q') || ( c == 'Q')) exit(0);
	  if (( c == 'c') || ( c == 'C')) 
	    _cpt_step = -1;
	  else
	    {
	      b = 1;
	      i = 0;
	      while (c != '\0' && b) 
		{ 
		  b = isDecimalDigit(c); 
		  i++;
		  c = v[i];
		}
	      if (b) _cpt_step = atoi(v); else _cpt_step = 0;
	    }
	}
      while (_cpt_step == 0);
    }
  else
    if (_cpt_step >0) _cpt_step--;
}
