/***Polychrony License******************************************
 *                                                             *
 * Copyright: IRISA/INRIA Rennes - ESPRESSO team.              *
 * This software is under the terms of the CeCILL-B License.   *
 * http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html *
 *                                                             *
 ***************************************************************/
#ifdef __cplusplus
extern "C" {
#endif
  int iterateSimu();
  void initSimu();
  int createFrame(int x, int y);
  int createPanel(int father,int position);
  int createButton(int num);
  int createLabel(int num);
  int createCanvas(int num,int x, int y);
  int createTextArea(int num ,int x, int y);
  int createSlider(int num,int min, int max, int defaut,int x, int y, int tickDisplay);
  int createCheckBox(int num, int state);
  int createBorder(int num,int x, int y);
  void setTextArea(int numArea,int valeur);
  int readButton(int numButton);
  int readSlider (int numSlider);
  int readCheckBox (int numCheckBox);
  void drawLine(int numCanvas, int x1, int y1, int y2, int vcolor);
  void clearCanvas(int numCanvas, int x1,int dx,int dy);
  void fillRect(int numCanvas, int x,int y,int dx,int dy, int vcolor);
  void drawInteger(int numCanvas, int ch,int x,int y);
  void drawReal(int numCanvas, double ch,int x,int y);
  void quitAppli(void);
  int getColor (int R, int G, int B, int brightness);
#ifdef __cplusplus
}
#endif
