# to do : comment this file.

project(VTOBSW Java CXX)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(MOD_LIST VTOBSW_javaC.c VTOBSW_body.c)
SET_SOURCE_FILES_PROPERTIES(${MOD_LIST} PROPERTIES LANGUAGE CXX)
#INCLUDE_DIRECTORIES("$ENV{SignalLibC_export}")
#INCLUDE_DIRECTORIES("$ENV{SignalLibJava_graphical}")

SET(LIBRARY_OUTPUT_PATH ${CMAKE_SOURCE_DIR})
ADD_LIBRARY(Simu SHARED ${MOD_LIST})

# Source 
SET(MOD_LIST SimuVTOBSW.java  mainSimu.java )
FIND_PACKAGE(Java REQUIRED)
SET(clpath ${CMAKE_SOURCE_DIR}:"$ENV{SignalLib_Java}":"$ENV{SignalLibJava_graphical}/SignalGraphicalJavaStd.jar")
SET(OUTPUT ${CMAKE_SOURCE_DIR}/mainSimu.class ${CMAKE_SOURCE_DIR}/SimuVTOBSW.class)
ADD_CUSTOM_COMMAND(
  OUTPUT ${OUTPUT}
  COMMAND ${JAVA_COMPILE} ARGS ${MOD_LIST} -classpath ${clpath} -d ${CMAKE_SOURCE_DIR}
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  DEPENDS ${MOD_LIST}
)

ADD_CUSTOM_TARGET(javacode ALL DEPENDS ${OUTPUT})

ADD_CUSTOM_TARGET(info ALL 
  COMMAND ${CMAKE_COMMAND} -E  echo "To execute, launch, in ${CMAKE_SOURCE_DIR} directory"
  COMMAND ${CMAKE_COMMAND} -E  echo "          java -classpath .:\${SignalLibJava_graphical}/SignalGraphicalJavaStd.jar mainSimu"
)
ADD_DEPENDENCIES(info javacode Simu)

