# cmake template for Java
project(${FOO}_Project Java)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

FIND_PACKAGE(Java REQUIRED)

SET(MOD_LIST ${FOO}.java ${FOO}_io.java ${FOO}_main.java)

INCLUDE_DIRECTORIES("$ENV{xK_root}")
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ADD_LIBRARY(${FOO} ${MOD_LIST})
SET_TARGET_PROPERTIES(${FOO} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR})

ADD_CUSTOM_TARGET(info1 ALL 
  COMMAND ${CMAKE_COMMAND} -E  echo "To execute, launch, in ${CMAKE_SOURCE_DIR} directory"
  COMMAND ${CMAKE_COMMAND} -E  echo "          java -classpath .:\${SignalLib_Java}/SignalJavaStd.jar:${FOO}.jar ${FOO}_main"
)

ADD_DEPENDENCIES(info1 ${FOO})

ADD_CUSTOM_TARGET(info
  COMMAND ${CMAKE_COMMAND} -E  echo ""
  COMMAND ${CMAKE_COMMAND} -E  echo "To compile the Java code, run the command: make"
  COMMAND ${CMAKE_COMMAND} -E  echo ""
)
