
package Signal.lib.Java.graphical;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

/**
 * Classe de boutons utilise pour la simulation Signal. Elle gre un tat du bouton pour savoir s'il a t cliqu ou
 * non par l'utilisateur. Une fois la valeur de l'tat lue, l'tat est rinitialis.
 */
public class SimuButton extends JButton
{
	/**
	 * 
	 */
	private static final long	serialVersionUID	= -2965171044624322002L;

	public boolean				state				= false;

	public SimuButton(String nam)
	{
		setText(nam);
		setActionCommand(nam);
	}
}

class defaultActionButton implements ActionListener
{
	SimuButton	but;

	public defaultActionButton(SimuButton b)
	{
		but = b;
	}

	public void actionPerformed(ActionEvent event)
	{
		but.state = true;
	}
}
