
PRINT("DIRECTORY: ${SignalLib_C}")
SET(PREFIX SignalLibC_)
SET(DIRS export src)
SETVARIABLES("${DIRS}" ${SignalLib_C} ${PREFIX} SignalLib_C )
#DECLARECOMPONENTS("${DIRS}" ${PREFIX})

IF(NOT DEFINED BIN_INSTALL)
  IF(PKCONFIG)
    # Not a standard config file.
    GET_STD_CONFIG_NAME(${SignalLib_C} CONFIG_FILE)
    GET_STD_BUILDCOMMAND(makeCexport CMD OPTIONS DEFAULT_OPTIONS)

    # Generating the command file makeFoo
    SET(VARS_REQUIRED xK_root)
    SET(DIRS_VAR_REQUIRED SignalLib_C SignalLibC_export)
    GEN_CMD_FILE(SignalLib_C "${VARS_REQUIRED}" "${DIRS_VAR_REQUIRED}" "${OPTIONS}" "${DEFAULT_OPTIONS}" ${CMD} CMD_FILE )

    DEFINE_CMD_IN_CONFIG_FILE(${CONFIG_FILE} ${CMD} "${OPTIONS}" ${CMD_FILE} "exported C libraries")
    # No doc: TEX_NEWCOMMAND_INDEX(xxxSignal ${xxxSignalDoc_html} "xxxSignal")
    
  ENDIF(PKCONFIG)
ENDIF(NOT DEFINED BIN_INSTALL)
