/*
 * Authors: Loïc Besnard, Christian Brunette, Jean-Pierre Talpin. Copyright (C) by INRIA-CNRS - developed by Espresso
 * project - EPL License - 2010.
 * 
 * Contact: polychronycontact@listes.irisa.fr
 * 
 * This file is part of Polychrony SME Platform (website: http://www.irisa.fr/espresso/polychrony).
 * 
 * Polychrony SME Platform is free software; you can redistribute it and/or modify it under the terms of the EPL as
 * published by the Eclipse Foundation.
 * 
 * Polychrony SME Platform are distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Eclipse Public License - v 1.0
 * for more details.
 * 
 * You should have received a copy of the Eclipse Public License - v 1.0 along with Polychrony SME Platform; see the
 * file COPYING. If not, consult the url http://www.eclipse.org/org/documents/epl-v10.php, or write to the Eclipse
 * Foundation, Inc. 102 Centrepointe Drive. Ottawa, Ontario,Canada, K2G 6B1.
 */

package fr.irisa.espresso.sme.polychrony;

// HANDMADE-- defined from phyla.h

public interface Phyla {

    public final static int without_phylum  = -1;
    public final static int ph_attr = 0;
    public final static int ph_born = 1;
    public final static int ph_cas = 2;
    public final static int ph_chai = 3;
    public final static int ph_cst_cha = 4;
    public final static int ph_dec_s = 5;
    public final static int ph_desc = 6;
    public final static int ph_desc_modu = 7;
    public final static int ph_ele_vec = 8;
    public final static int ph_ent_sort = 9;
    public final static int ph_i_type = 10;
    public final static int ph_ident = 11;
    public final static int ph_ident_mac = 12;
    public final static int ph_ind_mot = 13;
    public final static int ph_l_cas = 14;
    public final static int ph_l_cons = 15;
    public final static int ph_l_e_sign = 16;
    public final static int ph_l_ident = 17;
    public final static int ph_l_parc = 18;
    public final static int ph_l_sign = 19;
    public final static int ph_modu = 20;
    public final static int ph_o_spec = 21;
    public final static int ph_ol_attr = 22;
    public final static int ph_ol_decl = 23;
    public final static int ph_ol_dec_s = 24;
    public final static int ph_ol_e_para = 25;
    public final static int ph_ol_opra = 26;
    public final static int ph_ol_par_mac = 27;
    public final static int ph_ol_prag = 28;
    public final static int ph_parc = 29;
    public final static int ph_prag = 30;
    public final static int ph_decl = 31;
    public final static int ph_def_cons = 32;
    public final static int ph_def_type = 33;
    public final static int ph_e_cst = 34;
    public final static int ph_enu_val = 35;
    public final static int ph_ident_op = 36;
    public final static int ph_inte = 37;
    public final static int ph_o_chai = 38;
    public final static int ph_o_ident = 39;
    public final static int ph_o_liens = 40;
    public final static int ph_ol_e_sign = 41;
    public final static int ph_par_mac = 42;
    public final static int ph_ref_pro = 43;
    public final static int ph_sign = 44;
    public final static int ph_e_proc = 45;
    public final static int ph_type = 46;
    public final static int ph_o_e_proc = 47;
    public final static int ph_type_s = 48;
    public final static int ph_v_proc = 49;
    public final static int ph_v_type = 50;
    public final static int ph_o_corp = 51;
    public final static int ph_e_sign = 52;
    public final static int ph_lien = 53;
    public final static int ph_lsig = 54;
    public final static int ph_d_e_sign = 55;
    public final static int ph_e_para = 56;
    public final static int ph_o_e_sign = 57;
    public final static int ph_ol_f_flot = 58;
    public final static int ph_v_cons = 59;
};



