package Signal.lib.Java;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;

// class to write output
public class OutputWriter
{
    public PrintStream	ps;

    public void open(String fileName)
    {
	FileOutputStream fos;
	try
	    {
		fos = new FileOutputStream(fileName);
		ps = new PrintStream(fos);
	    }
	catch (FileNotFoundException e)
	    {
		System.err.println("\tCan not open file: " + fileName);
		System.err.println("Possible reason: " + fileName + " is a directory, write permission denied");
		System.exit(1);
	    }
    }

    public void close()
    {
	ps.close();
    }
}
