/***Polychrony License******************************************
 *                                                             *
 * Copyright: IRISA/INRIA Rennes - ESPRESSO team.              *
 * This software is under the terms of the CeCILL-B License.   *
 * http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html *
 *                                                             *
 ***************************************************************/

#ifndef pK_SIGNAL_PREDEF_H
#define pK_SIGNAL_PREDEF_H

/* Constants */
#undef TRUE
#define TRUE 1
#undef FALSE
#define FALSE 0

typedef int logical;

#include "pK_String.h"
#include "pK_Complex.h"
#include "pK_Conv.h"
#include "pK_stdio.h"

/* == and <== operators for predefined types except complex and string. 
   Complex is not allowed for <== operator. */
#define pK_eqeq_predef(X,Y) (X==Y)
#define pK_ltlteq_predef(X,Y) (X<=Y)


#define polychrony_exception(vstr) printf("%s\n", vstr)

#endif
