
PRINT("DIRECTORY: ${SignalLib_Java}")
SET(PREFIX SignalLibJava_)
SET(DIRS graphical)
SETVARIABLES("${DIRS}" ${SignalLib_Java} ${PREFIX} SignalLib_Java )
DeclareComponents("${DIRS}" ${PREFIX})

IF(NOT DEFINED BIN_INSTALL)
  IF(PKCONFIG)
    MK_CONFIG_NAME(_config_ CONFIG_NAME)
    MK_CONFIG_NAME(makeJavaexport cmd)
    SET(OPTIONS clean all)
    SET(DEFAULT_OPTIONS "all")
    
    SET(CONFIG_FILE ${SignalLib_Java}/${CONFIG_NAME})
    IF(UNIX)
      GEN_ECHO_USE(${CONFIG_FILE} "${cmd}" "[clean, all]" "to build a Java export content")
      FILE(APPEND ${CONFIG_FILE} "alias ${cmd} '\${SignalLib_Java}/${cmd} \$*'\n ")
    ENDIF(UNIX)
    
    SET(CONFIG_FILE ${SignalLib_Java}/${cmd})
    GEN_HEADER_SCRIPT(${CONFIG_FILE})
    GEN_REQUIRE_SHELL_VAR(${CONFIG_FILE} xK_root)
    GEN_REQUIRE_DIR(${CONFIG_FILE} SignalLib_Java)
    
    GEN_ARGUMENTS(${CONFIG_FILE} "${OPTIONS}" "${DEFAULT_OPTIONS}" ${cmd})
    GEN_CMAKE_CMD(${CONFIG_FILE} SignalLib_Java arguments)
  ENDIF(PKCONFIG)
ENDIF(NOT DEFINED BIN_INSTALL)