module Colors =
   type TColor = integer;
   constant TColor red = 0;
   constant TColor green = 1;
   constant TColor blue = 2;
   constant TColor black = 3;
   constant TColor white = 4;
   constant TColor cyan = 5;
   constant TColor darkGray = 6;
   constant TColor gray = 7;
   constant TColor lightGray = 8;
   constant TColor magenta = 9;
   constant TColor orange = 10;
   constant TColor pink = 11;
   constant TColor yellow = 12;
   function getColor =
        ( ? integer R;
            integer G;
            integer B;
            boolean Brigthness;
          ! TColor vcolor;
        )
      pragmas 
         COMMENT "It creates a color using R(ed)G(reen)B(lue) codification ."
                 "Brightness: must be true for brigthness otherwise it is dark."
                 " See predefined colors (PredefinedColors type)"
                 " It returns a code color greater than the size of the predefined enumation type."
         Java_Code "&o1 = sim.&n(&i1, &i2, &i3, &i4)"
      end pragmas
   
   ; 
end %Colors%; 
