/**
 * Copyright : IRISA / INRIA Rennes - ESPRESSO team This plug-in is under the terms of the CeCILL-B License.
 * http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 * 
 */
package Signal.lib.Java.graphical;

/**
 * This class builds a window for the simulation (with button, canvas, ...) of a Signal Program when C is produced by
 * the Signal compiler and when the predefined provided libGraphics.SIG Signal library is used in the Signal program. To
 * make portable the simulation program, the graphical part is written in Java. The connection Java/C is done through
 * SimuC.c module defined in export directory.
 */
public class MainSimuC {
	private static SimuC	SIM;
	
	public static void myAppli() {
		SIM = new SimuC();
		SIM.GO();
	}
	
	/*
	 * If some trouble, use : public static void main(String[] args) { //Schedule a job for the event-dispatching
	 * thread: //creating and showing this application's GUI. javax.swing.SwingUtilities.invokeLater ( new Runnable() {
	 * public void run() { myAppli(); } } );
	 * 
	 * }
	 */
	public static void main(String[] args) throws Exception {
		myAppli();
	}
	
}
