
PRINT("DIRECTORY: ${SignalLib_Java}")
SET(PREFIX SignalLibJava_)
SET(DIRS graphical)
SETVARIABLES("${DIRS}" ${SignalLib_Java} ${PREFIX} SignalLib_Java )
DECLARECOMPONENTS("${DIRS}" ${PREFIX})

IF(NOT DEFINED BIN_INSTALL)
  IF(PKCONFIG)
    # Not a standard config file.
    GET_STD_CONFIG_NAME(${SignalLib_Java} CONFIG_FILE)
    GET_STD_BUILDCOMMAND(makeJavaexport CMD OPTIONS DEFAULT_OPTIONS)

    # Generating the command file makeFoo
    SET(VARS_REQUIRED xK_root)
    SET(DIRS_VAR_REQUIRED SignalLib_Java )
    GEN_CMD_FILE(SignalLib_Java "${VARS_REQUIRED}" "${DIRS_VAR_REQUIRED}" "${OPTIONS}" "${DEFAULT_OPTIONS}" ${CMD} CMD_FILE )

    DEFINE_CMD_IN_CONFIG_FILE(${CONFIG_FILE} ${CMD} "${OPTIONS}" ${CMD_FILE} "exported Java libraries")
    # No doc: TEX_NEWCOMMAND_INDEX(xxxSignal ${xxxSignalDoc_html} "xxxSignal")

  ENDIF(PKCONFIG)
ENDIF(NOT DEFINED BIN_INSTALL)
